/* 
 *  InteractionDataI.java
 * 
 *  Copyright 2016 Avaya Inc. All Rights Reserved.
 * 
 *  Usage of this source is bound to the terms described
 *  in AvayaLicenseSDK.rtf.
 * 
 *  Avaya - Confidential & Proprietary. Use pursuant to your signed agreement
 *  or Avaya Policy
 * 
 */
package com.avaya.ccs.javafxrefclient;

import com.avaya.ccs.api.CustomerDetailsI;
import com.avaya.ccs.api.DataI;
import java.util.List;

public interface InteractionDataI {

    boolean canSetIntrinsic();

    boolean canGetData();

    boolean canGetUUI();

    boolean canSetUUI();

    boolean canAddAgentNote();

    boolean canGetCustomerDetails();

    boolean canUpdateCustomerName();

    boolean canUpdateCustomerEmail();

    boolean canUpdateCustomerPhone();

    boolean canUpdateCustomerAddress();
    
    boolean isMultimedia();

    DataI getData();

    List<IntrinsicElement> getIntrinsics();

    String getUui();

    List<String> getAgentNotes();

    CustomerDetailsI getCustomerDetails();

}
